Skip to main content
GET /v1/deployments/{id}/runs/{run_id} Retrieves a single Deployment Run by its ID within a specific deployment.

Path parameters

ParameterTypeDescription
idstringDeployment ID with the dep_ prefix
run_idstringRun ID with the drun_ prefix

Headers

HeaderRequiredDescription
AuthorizationYesBearer $QODER_PAT

Example request

curl -X GET "https://api.qoder.com/api/v1/cloud/deployments/dep_019ec55a2b687b3f94eee77dd77e4b2a/runs/drun_019ec55a68af73028afa5b87931cb2f3" \
  -H "Authorization: Bearer $QODER_PAT"

Example response

HTTP 200 OK Returns a single Deployment Run object.
{
  "agent": {
    "id": "agent_019ebb21ef8e7df6a559052c94875160",
    "type": "agent",
    "version": 1
  },
  "cas_run_extras": {
    "attempt": 1,
    "started_at": "2026-06-14T08:58:17.165588Z",
    "turn_id": "turn_019ec55a68b87a9dafad75c1554d1102"
  },
  "completed_at": "2026-06-14T08:58:34.433744Z",
  "created_at": "2026-06-14T08:58:17.13334Z",
  "deployment_id": "dep_019ec55a2b687b3f94eee77dd77e4b2a",
  "duration_ms": 17268,
  "error": null,
  "id": "drun_019ec55a68af73028afa5b87931cb2f3",
  "session_id": "sess_019ec55a68b37e1e8d660691af161ab4",
  "status": "completed",
  "trigger_context": {
    "type": "manual"
  },
  "triggered_at": "2026-06-14T08:58:17.13334Z",
  "type": "deployment_run"
}

Errors

HTTPTypeTrigger
401authentication_errorPAT invalid or expired
404not_found_errorDeployment or Run does not exist
See Errors for the full error envelope.

List deployment runs

View the run history of this deployment.

Get a deployment run (global)

Fetch a run without specifying its parent deployment.

Manually trigger a deployment

Kick off a deployment run immediately.

Get a deployment

Inspect deployment configuration and status.